=begin
= date/holiday - determination of secular and religious holidays

== Date

=== Class Methods

: gregorian_easter(year[, start])
: easter(year[, start])
  Returns a date object denoting
  the Easter sunday in the given Gregorian year.

: julian_easter(year[, start])
  Returns a date object denoting
  the Easter sunday in the given Julian year.

=== Methods

: easter?
  Returns true if the day is an Easter sunday.

: national_holiday?
  Returns true if the day is a Japanese national holiday.

: old_national_holiday?
  Returns true if the day is an old Japanese national holiday.
  This is still experimental.
=end
